net.corda.client.model

## Class NodeMonitorModel

- net.corda.client.model.NodeMonitorModel

-     public class NodeMonitorModel

  This model exposes raw event streams to and from the node.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeMonitorModel()` This model exposes raw event streams to and from the node.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `rx.Observable<net.corda.core.node.services.NetworkMapCache.MapChange>` | `getNetworkMap()`
    `rx.Observable<net.corda.client.model.ProgressTrackingEvent>` | `getProgressTracking()`
    `javafx.beans.property.SimpleObjectProperty<net.corda.core.messaging.CordaRPCOps>` | `getProxyObservable()`
    `rx.Observable<net.corda.core.node.services.StateMachineTransactionMapping>` | `getStateMachineTransactionMapping()`
    `rx.Observable<net.corda.core.messaging.StateMachineUpdate>` | `getStateMachineUpdates()`
    `rx.Observable<net.corda.core.transactions.SignedTransaction>` | `getTransactions()`
    `rx.Observable<net.corda.core.node.services.Vault.Update>` | `getVaultUpdates()`
    `void` | `register(com.google.common.net.HostAndPort nodeHostAndPort, java.lang.String username, java.lang.String password)` Register for updates to/from a given vault. TODO provide an unsubscribe mechanism

- - ### Constructor Detail

    - #### NodeMonitorModel

          public NodeMonitorModel()

      This model exposes raw event streams to and from the node.

  - ### Method Detail

    - #### getStateMachineUpdates

          public rx.Observable<net.corda.core.messaging.StateMachineUpdate> getStateMachineUpdates()

    - #### getVaultUpdates

          public rx.Observable<net.corda.core.node.services.Vault.Update> getVaultUpdates()

    - #### getTransactions

          public rx.Observable<net.corda.core.transactions.SignedTransaction> getTransactions()

    - #### getStateMachineTransactionMapping

          public rx.Observable<net.corda.core.node.services.StateMachineTransactionMapping> getStateMachineTransactionMapping()

    - #### getProgressTracking

          public rx.Observable<net.corda.client.model.ProgressTrackingEvent> getProgressTracking()

    - #### getNetworkMap

          public rx.Observable<net.corda.core.node.services.NetworkMapCache.MapChange> getNetworkMap()

    - #### getProxyObservable

          public javafx.beans.property.SimpleObjectProperty<net.corda.core.messaging.CordaRPCOps> getProxyObservable()

    - #### register

          public void register(com.google.common.net.HostAndPort nodeHostAndPort,
                               java.lang.String username,
                               java.lang.String password)

      Register for updates to/from a given vault. TODO provide an unsubscribe mechanism